#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   at drvagent msg
modify  record  :   2019-05-25 create file
"""

at_drvagent_msg_enum_table = {
0x0000 : "DRV_AGENT_MSID_QRY_REQ",
0x0002 : "DRV_AGENT_GCF_IND",
0x000E : "DRV_AGENT_GPIOPL_SET_REQ",
0x0010 : "DRV_AGENT_GPIOPL_QRY_REQ",
0x0012 : "DRV_AGENT_DATALOCK_SET_REQ",
0x0014 : "DRV_AGENT_TBATVOLT_QRY_REQ",
0x0016 : "DRV_AGENT_VERTIME_QRY_REQ",
0x0020 : "DRV_AGENT_YJCX_SET_REQ",
0x0022 : "DRV_AGENT_YJCX_QRY_REQ",
0x0024 : "DRV_AGENT_APPDMVER_QRY_REQ",
0x0028 : "DRV_AGENT_DLOADINFO_QRY_REQ",
0x002A : "DRV_AGENT_FLASHINFO_QRY_REQ",
0x002C : "DRV_AGENT_AUTHVER_QRY_REQ",
0x0030 : "DRV_AGENT_AUTHORITYVER_QRY_REQ",
0x0032 : "DRV_AGENT_AUTHORITYID_QRY_REQ",
0x0034 : "DRV_AGENT_GODLOAD_SET_REQ",
0x0036 : "DRV_AGENT_HWNATQRY_QRY_REQ",
0x0038 : "DRV_AGENT_CPULOAD_QRY_REQ",
0x003A : "DRV_AGENT_MFREELOCKSIZE_QRY_REQ",
0x003B : "DRV_AGENT_MEMINFO_QRY_REQ",
0x003E : "DRV_AGENT_HARDWARE_QRY",
0x0040 : "DRV_AGENT_FULL_HARDWARE_QRY",
0x0046 : "DRV_AGENT_TMODE_SET_REQ",
0x0048 : "DRV_AGENT_VERSION_QRY_REQ",
0x004A : "DRV_AGENT_SECUBOOT_QRY_REQ",
0x004C : "DRV_AGENT_SECUBOOTFEATURE_QRY_REQ",
0x004E : "DRV_AGENT_PFVER_QRY_REQ",
0x0052 : "DRV_AGENT_FCHAN_SET_REQ",
0x0056 : "DRV_AGENT_SDLOAD_SET_REQ",
0x0060 : "DRV_AGENT_PRODTYPE_QRY_REQ",
0x0062 : "DRV_AGENT_SDREBOOT_REQ",
0x0064 : "DRV_AGENT_RXDIV_SET_REQ",
0x0066 : "DRV_AGENT_DLOADVER_QRY_REQ",
0x006A : "DRV_AGENT_RXDIV_QRY_REQ",
0x006C : "DRV_AGENT_SIMLOCK_SET_REQ",
0x0072 : "DRV_AGENT_IMSICHG_QRY_REQ",
0x0074 : "DRV_AGENT_NVRESTORE_SET_REQ",
0x0076 : "DRV_AGENT_INFORBU_SET_REQ",
0x0078 : "DRV_AGENT_NVRSTSTTS_QRY_REQ",
0x007A : "DRV_AGENT_CPNN_TEST_REQ",
0x007C : "DRV_AGENT_NVBACKUP_SET_REQ",
0x007E : "DRV_AGENT_CPNN_QRY_REQ",
0x0080 : "DRV_AGENT_NVRESTORE_MANU_DEFAULT_REQ",
0x0082 : "DRV_AGENT_ADC_SET_REQ",
0x0084 : "DRV_AGENT_TSELRF_SET_REQ",
0x0086 : "DRV_AGENT_HKADC_GET_REQ",
0x0088 : "DRV_AGENT_TBAT_QRY_REQ",
0x008A : "DRV_AGENT_SECUBOOT_SET_REQ",
0x008c : "DRV_AGENT_SIMLOCK_NV_SET_REQ",
0x008e : "DRV_AGENT_SPWORD_SET_REQ",
0x0090 : "DRV_AGENT_PSTANDBY_SET_REQ",
0x0092 : "DRV_AGENT_NVBACKUPSTAT_QRY_REQ",
0x0094 : "DRV_AGENT_NANDBBC_QRY_REQ",
0x0096 : "DRV_AGENT_NANDVER_QRY_REQ",
0x0098 : "DRV_AGENT_CHIPTEMP_QRY_REQ",
0x009A : "DRV_AGENT_HUK_SET_REQ",
0x009C : "DRV_AGENT_FACAUTHPUBKEY_SET_REQ",
0x009E : "DRV_AGENT_IDENTIFYSTART_SET_REQ",
0x00A0 : "DRV_AGENT_IDENTIFYEND_SET_REQ",
0x00A4 : "DRV_AGENT_PHONESIMLOCKINFO_QRY_REQ",
0x00A6 : "DRV_AGENT_SIMLOCKDATAREAD_QRY_REQ",
0x00A8 : "DRV_AGENT_PHONEPHYNUM_SET_REQ",
0x00B4 : "DRV_AGENT_SARREDUCTION_SET_REQ",
0x0100 : "DRV_AGENT_INFORRS_SET_REQ",
0x0102 : "DRV_AGENT_MAX_LOCK_TIMES_SET_REQ",
0x0104 : "DRV_AGENT_AP_SIMST_SET_REQ",
0x0106 : "DRV_AGENT_SWVER_SET_REQ",
0x0108 : "DRV_AGENT_QRY_CCPU_MEM_INFO_REQ",
0x010A : "DRV_AGENT_HVPDH_REQ",
0x010C : "DRV_AGENT_NVMANUFACTUREEXT_SET_REQ",
0x0112 : "DRV_AGENT_SIMLOCKWRITEEX_SET_REQ",
0x0114 : "DRV_AGENT_SIMLOCKDATAREADEX_READ_REQ",
0x0001 : "DRV_AGENT_MSID_QRY_CNF",
0x000D : "DRV_AGENT_GPIOPL_SET_CNF",
0x000F : "DRV_AGENT_GPIOPL_QRY_CNF",
0x0011 : "DRV_AGENT_DATALOCK_SET_CNF",
0x0013 : "DRV_AGENT_TBATVOLT_QRY_CNF",
0x0015 : "DRV_AGENT_VERTIME_QRY_CNF",
0x001F : "DRV_AGENT_YJCX_SET_CNF",
0x0021 : "DRV_AGENT_YJCX_QRY_CNF",
0x0023 : "DRV_AGENT_APPDMVER_QRY_CNF",
0x0027 : "DRV_AGENT_DLOADINFO_QRY_CNF",
0x0029 : "DRV_AGENT_FLASHINFO_QRY_CNF",
0x002B : "DRV_AGENT_AUTHVER_QRY_CNF",
0x002F : "DRV_AGENT_AUTHORITYVER_QRY_CNF",
0x0031 : "DRV_AGENT_AUTHORITYID_QRY_CNF",
0x0033 : "DRV_AGENT_GODLOAD_SET_CNF",
0x0035 : "DRV_AGENT_HWNATQRY_QRY_CNF",
0x0037 : "DRV_AGENT_CPULOAD_QRY_CNF",
0x0039 : "DRV_AGENT_MFREELOCKSIZE_QRY_CNF",
0x003A : "DRV_AGENT_MEMINFO_QRY_CNF",
0x003D : "DRV_AGENT_HARDWARE_QRY_RSP",
0x003F : "DRV_AGENT_FULL_HARDWARE_QRY_RSP",
0x0047 : "DRV_AGENT_VERSION_QRY_CNF",
0x0049 : "DRV_AGENT_SECUBOOT_QRY_CNF",
0x004B : "DRV_AGENT_SECUBOOTFEATURE_QRY_CNF",
0x004D : "DRV_AGENT_PFVER_QRY_CNF",
0x0053 : "DRV_AGENT_FCHAN_SET_CNF",
0x0057 : "DRV_AGENT_SDLOAD_SET_CNF",
0x0061 : "DRV_AGENT_PRODTYPE_QRY_CNF",
0x0063 : "DRV_AGENT_RXDIV_SET_CNF",
0x0065 : "DRV_AGENT_DLOADVER_QRY_CNF",
0x0069 : "DRV_AGENT_RXDIV_QRY_CNF",
0x006B : "DRV_AGENT_SIMLOCK_SET_CNF",
0x0071 : "DRV_AGENT_IMSICHG_QRY_CNF",
0x0073 : "DRV_AGENT_NVRESTORE_SET_CNF",
0x0075 : "DRV_AGENT_INFORBU_SET_CNF",
0x0077 : "DRV_AGENT_NVRSTSTTS_QRY_CNF",
0x0079 : "DRV_AGENT_CPNN_TEST_CNF",
0x007B : "DRV_AGENT_NVBACKUP_SET_CNF",
0x007D : "DRV_AGENT_CPNN_QRY_CNF",
0x007F : "DRV_AGENT_NVRESTORE_MANU_DEFAULT_CNF",
0x0081 : "DRV_AGENT_ADC_SET_CNF",
0x0083 : "DRV_AGENT_TSELRF_SET_CNF",
0x0085 : "DRV_AGENT_HKADC_GET_CNF",
0x0087 : "DRV_AGENT_TBAT_QRY_CNF",
0x0089 : "DRV_AGENT_SECUBOOT_SET_CNF",
0x008B : "DRV_AGENT_SPWORD_SET_CNF",
0x008D : "DRV_AGENT_NVBACKUPSTAT_QRY_CNF",
0x008F : "DRV_AGENT_NANDBBC_QRY_CNF",
0x0091 : "DRV_AGENT_NANDVER_QRY_CNF",
0x0093 : "DRV_AGENT_CHIPTEMP_QRY_CNF",
0x0095 : "DRV_AGENT_HUK_SET_CNF",
0x0097 : "DRV_AGENT_FACAUTHPUBKEY_SET_CNF",
0x0099 : "DRV_AGENT_IDENTIFYSTART_SET_CNF",
0x009B : "DRV_AGENT_IDENTIFYEND_SET_CNF",
0x009D : "DRV_AGENT_SIMLOCKDATAWRITE_SET_CNF",
0x009F : "DRV_AGENT_PHONESIMLOCKINFO_QRY_CNF",
0x00A1 : "DRV_AGENT_SIMLOCKDATAREAD_QRY_CNF",
0x00A3 : "DRV_AGENT_PHONEPHYNUM_SET_CNF",
0x00AD : "DRV_AGENT_OPWORD_SET_CNF",
0x00AF : "DRV_AGENT_ANTSTATE_QRY_IND",
0x0101 : "DRV_AGENT_INFORRS_SET_CNF",
0x0103 : "DRV_AGENT_MAX_LOCK_TIMES_SET_CNF",
0x0105 : "DRV_AGENT_AP_SIMST_SET_CNF",
0x0107 : "DRV_AGENT_SWVER_SET_CNF",
0x0109 : "DRV_AGENT_HVPDH_CNF",
0x010B : "DRV_AGENT_NVMANUFACTUREEXT_SET_CNF",
0x0111 : "DRV_AGENT_QRY_CCPU_MEM_INFO_CNF",
0x0113 : "DRV_AGENT_SIMLOCKWRITEEX_SET_CNF",
0x0115 : "DRV_AGENT_SIMLOCKDATAREADEX_SET_CNF",
0x0117 : "DRV_AGENT_PHONESIMLOCKINFO_QRY_NEW_CNF",
}

def get_at_drvagent_msg_str( MsgId):
    for MsgIdIndex in at_drvagent_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return at_drvagent_msg_enum_table[MsgIdIndex]

    return "none"